Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.teststeps
Class WsdlTestRequestDesktopPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.eviware.soapui.ui.support.ModelItemDesktopPanel<T>
                          com.eviware.soapui.impl.wsdl.panels.request.AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>
                              com.eviware.soapui.impl.wsdl.panels.teststeps.WsdlTestRequestDesktopPanel

All Implemented Interfaces:
  PropertyChangeNotifier, DesktopPanel, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class WsdlTestRequestDesktopPanel

extends AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>

DesktopPanel for WsdlTestRequest. Essentially a copy of WsdlRequestDesktopPanel with assertions.

Author:
  Ole.Matzura
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.impl.wsdl.panels.request.AbstractWsdlRequestDesktopPanel
`AbstractWsdlRequestDesktopPanel.InputAreaFocusListener, AbstractWsdlRequestDesktopPanel.ResultAreaFocusListener, AbstractWsdlRequestDesktopPanel.SubmitAction, AbstractWsdlRequestDesktopPanel.WsdlRequestMessageEditor, AbstractWsdlRequestDesktopPanel.WsdlResponseMessageEditor`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected boolean` | `updatingRequest`

Fields inherited from class com.eviware.soapui.impl.wsdl.panels.request.AbstractWsdlRequestDesktopPanel
`responseHasFocus`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.eviware.soapui.ui.desktop.DesktopPanel
`ICON_PROPERTY, TITLE_PROPERTY`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`WsdlTestRequestDesktopPanel(WsdlTestRequestStep requestStep)`

Method Summary
`protected javax.swing.JComponent` | `buildContent()`
`protected SoapMessageXmlEditor` | `buildRequestEditor()`
`protected SoapMessageXmlEditor` | `buildResponseEditor()`
`protected javax.swing.JComponent` | `buildToolbar()`
`protected com.eviware.soapui.impl.wsdl.panels.teststeps.WsdlTestRequestDesktopPanel.InternalSubmitListener` | `createSubmitListener()`
`boolean` | `dependsOn(ModelItem modelItem)` Checks if this desktop panel depends on the existence of the specified model item, used for closing relevant panels.
`protected Submit` | `doSubmit()`
`java.lang.String` | `getDescription()` Gets the description for this desktop panel.. may be used as tooltip, etc..
`protected java.lang.String` | `getHelpUrl()`
`java.lang.String` | `getTitle()` Gets the title for this desktop panel
`protected void` | `insertButtons(javax.swing.JToolBar toolbar)`
`boolean` | `onClose(boolean canCancel)` Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.
`void` | `removeContent(javax.swing.JComponent content)`
`void` | `setContent(javax.swing.JComponent content)`
`void` | `setEnabled(boolean enabled)`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.AbstractWsdlRequestDesktopPanel
`buildStatusLabel, getRequest, getRequestEditor, getResponseEditor, getStatusBar, getSubmit, init`

Methods inherited from class com.eviware.soapui.ui.support.ModelItemDesktopPanel
`addPropertyChangeListener, addPropertyChangeListener, createActionButton, getComponent, getIcon, getModelItem, notifyPropertyChange, release, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getWidth, getVisibleRect, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### updatingRequest

    protected boolean updatingRequest

Constructor Detail

### WsdlTestRequestDesktopPanel

    public WsdlTestRequestDesktopPanel(WsdlTestRequestStep requestStep)

Method Detail

### setContent

    public void setContent(javax.swing.JComponent content)

  Overrides:
    `setContent` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### removeContent

    public void removeContent(javax.swing.JComponent content)

  Overrides:
    `removeContent` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### getHelpUrl

    protected java.lang.String getHelpUrl()

  Overrides:
    `getHelpUrl` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### buildContent

    protected javax.swing.JComponent buildContent()

  Overrides:
    `buildContent` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### buildRequestEditor

    protected SoapMessageXmlEditor buildRequestEditor()

  Overrides:
    `buildRequestEditor` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### buildResponseEditor

    protected SoapMessageXmlEditor buildResponseEditor()

  Overrides:
    `buildResponseEditor` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### buildToolbar

    protected javax.swing.JComponent buildToolbar()

  Overrides:
    `buildToolbar` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### insertButtons

    protected void insertButtons(javax.swing.JToolBar toolbar)

  Overrides:
    `insertButtons` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### doSubmit

    protected Submit doSubmit()
                       throws Request.SubmitException

  Overrides:
    `doSubmit` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`
  Throws:
    `Request.SubmitException`

### createSubmitListener

    protected com.eviware.soapui.impl.wsdl.panels.teststeps.WsdlTestRequestDesktopPanel.InternalSubmitListener createSubmitListener()

  Overrides:
    `createSubmitListener` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### onClose

    public boolean onClose(boolean canCancel)

  Description copied from interface: `DesktopPanel`
  Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.

  Specified by:
    `onClose` in interface `DesktopPanel`
  Overrides:
    `onClose` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### dependsOn

    public boolean dependsOn(ModelItem modelItem)

  Description copied from interface: `DesktopPanel`
  Checks if this desktop panel depends on the existence of the specified model item, used for closing relevant panels.

  Specified by:
    `dependsOn` in interface `DesktopPanel`
  Overrides:
    `dependsOn` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `DesktopPanel`
  Gets the description for this desktop panel.. may be used as tooltip, etc..

  Specified by:
    `getDescription` in interface `DesktopPanel`
  Overrides:
    `getDescription` in class `AbstractWsdlRequestDesktopPanel<WsdlTestRequestStep,WsdlTestRequest>`
  Returns:

### getTitle

    public java.lang.String getTitle()

  Description copied from interface: `DesktopPanel`
  Gets the title for this desktop panel

  Specified by:
    `getTitle` in interface `DesktopPanel`
  Overrides:
    `getTitle` in class `ModelItemDesktopPanel<WsdlTestRequestStep>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.